#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by BC - Mod Packager                                                       #
#  Date: 2/28/2007                                                                    #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'AngelwingsB'
iconName = 'KelvinRefit'
longName = 'USS Angelwings-B'
shipFile = 'AngelwingsB' 
menuGroup = 'Named Ships'
playerMenuGroup = 'Named Ships'
species = App.SPECIES_GALAXY
SubMenu = "Kelvin"
SubSubMenu = "Refit"
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'USS Angelwings-B',
	'author': 'MustangTy92',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.AngelwingsB = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })
#                                                                                     #
#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL                                                     #
#                                                                                     #
# Foundation.ShipDef.AngelwingsB.hasTGLName = 1
# Foundation.ShipDef.AngelwingsB.hasTGLDesc = 1
#                                                                                     #
# Otherwise, uncomment this and type something in:                                    #
#                                                                                     #
Foundation.ShipDef.AngelwingsB.desc = 'No Description Available'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.AngelwingsB.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.AngelwingsB.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################

def SDTEntry(self):
	retval = {"Textures": [
	["defaultID_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBID_glow.tga"],
	["defaultID_specular.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBID_specular.tga"],
	["bussard_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBbussard_glow.tga"],
      ["grille_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBgrille_glow.tga"],
      ["hull_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBhull_glow.tga"],
      ["nacelle_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBnacelle_glow.tga"],
      ["top_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBtop_glow.tga"],
	["deflector_glow.tga", "data/Models/SharedTextures/Kelvin/AngelwingsBdeflector_glow.tga"]]}
	return retval

Foundation.ShipDef.AngelwingsB.__dict__["SDT Entry"] = SDTEntry
